"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlideUpView = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
/**
 * SlideUpView
 * Animated Component that will Slide Up on mount.
 */
const SlideUpView = ({ children, style }) => {
    const appear = new react_native_1.Animated.Value(0);
    react_1.useEffect(() => {
        react_native_1.Animated.timing(appear, {
            toValue: 1,
            duration: 500,
            easing: react_native_1.Easing.out(react_native_1.Easing.quad),
            useNativeDriver: true,
        }).start();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return (react_1.default.createElement(react_native_1.Animated.View, { style: [
            {
                opacity: appear,
                transform: [
                    {
                        translateY: appear.interpolate({
                            inputRange: [0, 1],
                            outputRange: [100, 0],
                        }),
                    },
                ],
            },
            style,
        ] }, children));
};
exports.SlideUpView = SlideUpView;
