"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoundButton = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const BaseButton_1 = require("./BaseButton");
const Typography_1 = require("../Typography");
const styles = react_native_1.StyleSheet.create({
    container: {
        padding: 16,
        borderRadius: 28,
        justifyContent: 'center',
        alignItems: 'center',
        opacity: 1,
    },
    label: {
        fontWeight: '700',
    },
    disabled: {
        opacity: 0.4,
    },
});
const RoundButton = ({ label, color, textColor = 'white', onPress, disabled = false, }) => {
    const { primaryColor } = Themes_1.useColors();
    const backgroundColor = color ? color : primaryColor;
    return (react_1.default.createElement(BaseButton_1.BaseButton, { onPress: onPress, disabled: disabled, style: [
            styles.container,
            { backgroundColor },
            disabled ? styles.disabled : styles.container,
        ] },
        react_1.default.createElement(Typography_1.Typography, { style: styles.label, color: textColor }, label)));
};
exports.RoundButton = RoundButton;
