"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconAdd = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    container: {
        alignItems: 'center',
        justifyContent: 'center',
    },
    horizontalLine: { height: 2, position: 'absolute' },
    verticalLine: { width: 2, position: 'absolute' },
});
const IconAdd = ({ size = 16, color }) => {
    const { baseTextColor } = Themes_1.useColors();
    const iconColor = color || baseTextColor;
    return (react_1.default.createElement(react_native_1.View, { style: [styles.container, { height: size, width: size }] },
        react_1.default.createElement(react_native_1.View, { style: [
                styles.horizontalLine,
                {
                    width: size,
                    backgroundColor: iconColor,
                },
            ] }),
        react_1.default.createElement(react_native_1.View, { style: [
                styles.verticalLine,
                { height: size, backgroundColor: iconColor },
            ] })));
};
exports.IconAdd = IconAdd;
