"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconPencil = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    container: {
        alignItems: 'center',
        justifyContent: 'center',
    },
    horizontalLine: {
        height: 4,
        position: 'absolute',
        transform: [{ rotateZ: '-45deg' }],
        borderRadius: 1,
    },
    point: {
        position: 'absolute',
        bottom: 0,
        left: 0,
        borderWidth: 1.5,
        borderTopColor: 'transparent',
        borderRightColor: 'transparent',
        width: 0,
        height: 0,
        borderRadius: 1,
        borderBottomLeftRadius: 0,
    },
});
const IconPencil = ({ size = 16, color }) => {
    const { baseTextColor } = Themes_1.useColors();
    const iconColor = color || baseTextColor;
    return (react_1.default.createElement(react_native_1.View, { style: [styles.container, { height: size, width: size }] },
        react_1.default.createElement(react_native_1.View, { style: [
                styles.horizontalLine,
                {
                    width: size - 1,
                    backgroundColor: iconColor,
                },
            ] }),
        react_1.default.createElement(react_native_1.View, { style: [
                styles.point,
                { borderBottomColor: iconColor, borderLeftColor: iconColor },
            ] })));
};
exports.IconPencil = IconPencil;
