"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleLineInput = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const Icons_1 = require("../Icons");
const Utils_1 = require("../Utils");
const Themes_1 = require("../Themes");
const Typography_1 = require("../Typography");
const styles = react_native_1.StyleSheet.create({
    label: {
        fontSize: 14,
    },
    labelContainer: {
        flexDirection: 'row',
    },
    inputContainer: {
        flexDirection: 'row',
    },
    input: {
        paddingLeft: 32,
        paddingBottom: 8,
        flex: 1,
    },
    icon: {
        position: 'absolute',
        bottom: 12,
        left: 4,
    },
});
const SingleLineInput = (_a) => {
    var { label, color, errorMessage = '', value, style, unit } = _a, rest = __rest(_a, ["label", "color", "errorMessage", "value", "style", "unit"]);
    const InputRef = react_1.useRef(null);
    const handleFocus = react_1.useCallback(() => {
        if (InputRef) {
            InputRef.current && InputRef.current.focus();
        }
    }, [InputRef]);
    const [isFocused, setFocus] = react_1.useState(false);
    const setAnimation = () => {
        react_native_1.LayoutAnimation.configureNext(react_native_1.LayoutAnimation.Presets.easeInEaseOut);
    };
    const fontSize = Themes_1.useFontSizes();
    const { baseTextColor, warningColor } = Themes_1.useColors();
    const baseColor = color || baseTextColor;
    return (react_1.default.createElement(react_native_1.View, null,
        react_1.default.createElement(react_native_1.View, { style: styles.labelContainer },
            react_1.default.createElement(Typography_1.Typography, { style: [styles.label, { color: baseColor }] }, label),
            react_1.default.createElement(Utils_1.Margin, { size: "small" }),
            react_1.default.createElement(Typography_1.Typography, { style: [styles.label, { color: warningColor }] }, errorMessage)),
        react_1.default.createElement(Utils_1.Margin, { size: "small" }),
        react_1.default.createElement(react_native_1.View, { style: styles.inputContainer },
            react_1.default.createElement(react_native_1.TextInput, Object.assign({ style: [
                    styles.input,
                    {
                        color: baseTextColor,
                        fontSize: fontSize.medium,
                        borderBottomColor: errorMessage ? warningColor : baseColor,
                        borderBottomWidth: isFocused
                            ? react_native_1.StyleSheet.hairlineWidth * 2
                            : react_native_1.StyleSheet.hairlineWidth,
                    },
                    style,
                ], value: value, ref: InputRef, onFocus: () => {
                    setAnimation();
                    setFocus(true);
                }, onBlur: () => {
                    setFocus(false);
                } }, rest)),
            unit ? (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(Utils_1.Margin, { size: "xsmall" }),
                react_1.default.createElement(Typography_1.Typography, null, unit))) : null),
        react_1.default.createElement(react_native_1.TouchableOpacity, { style: styles.icon, onPress: handleFocus },
            react_1.default.createElement(Icons_1.IconPencil, { color: baseColor }))));
};
exports.SingleLineInput = SingleLineInput;
