"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerificationInput = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const Typography_1 = require("../Typography");
const truncate = (value, length) => {
    return value.substring(0, length);
};
const getArray = (value, length) => {
    const truncatedValue = truncate(value, length);
    return [...truncatedValue.split(''), ...new Array(length).fill('')].slice(0, length);
};
const styles = react_native_1.StyleSheet.create({
    cellContainer: {
        flexDirection: 'row',
        justifyContent: 'space-around',
    },
    character: {
        fontSize: 24,
    },
    characterContainer: {
        width: 30,
        height: 45,
        alignItems: 'center',
        justifyContent: 'center',
        borderRadius: 8,
    },
    input: {
        position: 'absolute',
        opacity: 0,
    },
    label: {
        fontSize: 14,
    },
    labelContainer: {
        flexDirection: 'row',
    },
    focused: {
        borderWidth: 2,
    },
});
const VerificationInput = (_a) => {
    var { length, value, onChangeText } = _a, rest = __rest(_a, ["length", "value", "onChangeText"]);
    const { baseBackgroundColor, secondaryColor } = Themes_1.useColors();
    const InputRef = React.useRef(null);
    const handleFocus = React.useCallback(() => {
        if (InputRef) {
            InputRef.current && InputRef.current.focus();
        }
    }, [InputRef]);
    const renderCell = () => {
        const currentValue = value || '';
        const valueArray = getArray(currentValue, length);
        return valueArray.map((char, index) => {
            return (React.createElement(react_native_1.TouchableOpacity, { key: index, onPress: handleFocus },
                React.createElement(react_native_1.View, { style: [
                        styles.characterContainer,
                        { backgroundColor: baseBackgroundColor },
                        currentValue.length === index && Object.assign(Object.assign({}, react_native_1.StyleSheet.flatten(styles.focused)), { borderColor: secondaryColor }),
                    ] },
                    React.createElement(Typography_1.Typography, { style: styles.character }, char))));
        });
    };
    return (React.createElement(react_native_1.View, null,
        React.createElement(react_native_1.View, { style: styles.cellContainer }, renderCell()),
        React.createElement(react_native_1.TextInput, Object.assign({}, rest, { style: styles.input, spellCheck: false, autoCorrect: false, autoCapitalize: "characters", onChangeText: (text) => {
                onChangeText && onChangeText(truncate(text, length));
            }, returnKeyType: "done", value: value, ref: InputRef }))));
};
exports.VerificationInput = VerificationInput;
