"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButton = void 0;
const React = __importStar(require("react"));
const RadioButtonGroup_1 = require("./RadioButtonGroup");
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    outerCircle: {
        width: 20,
        height: 20,
        borderRadius: 10,
        borderWidth: 2,
        padding: 3,
        justifyContent: 'center',
        alignItems: 'center',
    },
    innerCircle: {
        width: 10,
        height: 10,
        borderRadius: 5,
    },
});
const RadioButton = ({ value, color, disabled }) => {
    const { primaryColor, disabledTextColor } = Themes_1.useColors();
    const buttonColor = disabled ? disabledTextColor : color || primaryColor;
    return (React.createElement(RadioButtonGroup_1.RadioButtonContext.Consumer, null, (context) => {
        if (!context) {
            console.warn('RadioButton: No context found. Be sure to wrap your Radio Buttons inside RadioButton.Group');
        }
        const checked = (context === null || context === void 0 ? void 0 : context.value) === value;
        return (React.createElement(react_native_1.TouchableOpacity, { disabled: disabled, onPress: () => context === null || context === void 0 ? void 0 : context.onValueChange(value) },
            React.createElement(react_native_1.View, { style: [styles.outerCircle, { borderColor: buttonColor }] }, checked && (React.createElement(react_native_1.View, { style: [
                    styles.innerCircle,
                    {
                        backgroundColor: buttonColor,
                    },
                ] })))));
    }));
};
exports.RadioButton = RadioButton;
exports.RadioButton.Group = RadioButtonGroup_1.RadioButtonGroup;
