"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButtonItem = void 0;
const React = __importStar(require("react"));
const RadioButtonGroup_1 = require("./RadioButtonGroup");
const react_native_1 = require("react-native");
const RadioButton_1 = require("./RadioButton");
const Utils_1 = require("../Utils");
const Themes_1 = require("../Themes");
const Typography_1 = require("../Typography");
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: 'row',
        alignItems: 'center',
    },
});
const RadioButtonItem = ({ value, color, disabled, label, }) => {
    const { disabledTextColor } = Themes_1.useColors();
    return (React.createElement(RadioButtonGroup_1.RadioButtonContext.Consumer, null, (context) => {
        if (!context) {
            console.warn('RadioButtonItem: No context found. Be sure to wrap your Radio Buttons inside RadioButton.Group');
        }
        return (React.createElement(react_native_1.TouchableOpacity, { disabled: disabled, onPress: () => context === null || context === void 0 ? void 0 : context.onValueChange(value) },
            React.createElement(react_native_1.View, { style: styles.container },
                React.createElement(RadioButton_1.RadioButton, { value: value, color: color, disabled: disabled }),
                React.createElement(Utils_1.Margin, { size: "xsmall" }),
                React.createElement(Typography_1.Typography, { color: disabled ? disabledTextColor : undefined }, label))));
    }));
};
exports.RadioButtonItem = RadioButtonItem;
